uk.gov.hmrc.totp

# TotpSha512

###
Related Doc: package totp

#### trait TotpSha512 extends HmacShaTotp

Linear Supertypes
HmacShaTotp, AnyRef, Any
Known Subclasses
JavaTotpGenerator, JavaTotpSha512Generator, Totp, TotpGenerator
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TotpSha512
2. HmacShaTotp
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final val codeLength: Int(8)

   Definition Classes
     TotpSha512 → HmacShaTotp

7. #### final val crypto: HmacSHA512.type

   Definition Classes
     TotpSha512 → HmacShaTotp

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### final def getTotp(secret: String, totpGenerationTimeInMillis: Long): String

    Definition Classes
      HmacShaTotp

13. #### final def getTotpCode(secret: String): String

    Definition Classes
      HmacShaTotp

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final val totpTimeInterval: FiniteDuration

    Definition Classes
      TotpSha512 → HmacShaTotp

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from HmacShaTotp

### Inherited from AnyRef

### Inherited from Any

### Ungrouped